Subject: bug#46236: 26.1; explicit the info files installation

From: Gregory Heytings <[email-masked]>
Date: Wed, 21 Apr 2021 12:32:38 +0000

>
> When I say `C-h r' without `emacs-common-non-dfsg' installed on my 
> Debian machine, I get "Info file emacs does not exist".  I get the same 
> message when trying to follow the Info node reference from `C-h f 
> pcase', but it is complaining about the elisp manual.
>

A suggestion: when the info files bundled with Emacs cannot be found, 
download them from info.gnu.org (after asking the user if they're okay 
with that) and install them into ~/.emacs.d/info.  The info files that are 
supposed to be bundled with Emacs are not that big (about 5 MB, gzipped), 
and something similar (downloading data from a gnu.org site and install 
them into a ~/.emacs.d subdirectory) happens with M-x list-packages.